=== src/libs/luafontforge/fontforge/fontforge/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-
+# $Id$
 top_srcdir = ../../../../src/libs/luafontforge/fontforge
 srcdir = $(top_srcdir)/fontforge
 
@@ -14,7 +14,7 @@
  stemdb.o lookups.o featurefile.o \
  tottf.o tottfgpos.o tottfvar.o splinesave.o
 
-_CFLAGS = -I$(top_srcdir)/inc -I$(srcdir) -I. -Wall $(XCFLAGS) \
+_CFLAGS = -I$(top_srcdir)/inc -I$(srcdir) -I. $(XCFLAGS) \
  -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 \
  -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 \
  -DHAVE_INTTYPES_H=1 -DHAVE_UNISTD_H=1 -D_NO_PYTHON=1 -DHAVE_LANGINFO_H=1 \
@@ -22,7 +22,7 @@
  -DNODYNAMIC=1 -D_NO_FREETYPE=1 -D_NO_LIBUNINAMESLIST=1 \
  -DFONTFORGE_CONFIG_NO_WINDOWING_UI=1 -DLUA_FF_LIB=1 -UHAVE_LIBINTL_H
 
-CFLAGS = -g -O2 $(_CFLAGS)
+CFLAGS = -Wall -g -O2
 
 all: $(OBJECTS)
 
@@ -33,4 +33,4 @@
 	$(CC) -g -c -o splinerefigure.o $(_CFLAGS) $(srcdir)/splinerefigure.c
 
 %.o: $(srcdir)/%.c $(srcdir)/splinefont.h $(srcdir)/views.h $(srcdir)/stemdb.h $(srcdir)/ttf.h $(srcdir)/unicoderange.h $(srcdir)/psfont.h $(srcdir)/groups.h $(srcdir)/edgelist.h $(srcdir)/edgelist2.h
-	$(CC) $(CFLAGS) -c $< -o $@
+	$(CC)  $(_CFLAGS) $(CFLAGS) -c $< -o $@
