## luatex 0.60.1

=== debian/changelog ===
luatex (0.60.1-1build2) maverick; urgency=low

  * No change rebuild for (another) libpoppler transition

 -- Scott Kitterman <scott@kitterman.com>  Mon, 20 Sep 2010 02:23:48 -0400

luatex (0.60.1-1build1) maverick; urgency=low

  * No-change upload to build against current poppler library ABI.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 05 Aug 2010 12:14:12 +0200

luatex (0.60.1-1) unstable; urgency=low

  * new upstream release, adapt build-script patch
  * disable patch: upstream-epstopdf_cc_no_xpdf_patching, included upstream
  * disable patch: libpoppler-0.12, not needed anymore

 -- Norbert Preining <preining@debian.org>  Thu, 29 Apr 2010 00:47:19 +0900

luatex (0.60.0-1) unstable; urgency=low

  * new upstream releases, adapt build-script patch
  * change build-dep to libjpeg-dev from libjpeg62-dev, request by the
    maintainer
  * add a patch from upstream upstream-epstopdf_cc_no_xpdf_patching
    that allows again (not possible in 0.60 byitself) to use libpoppler
  * switch to source format 3.0 (quilt)
    - add debian/source/format
    - remove quilt related stuff from debian/rules
    - bump compat level to 7
    - no changes to upstream distribution is done, remove debian/README.source
      and remove it from debian/rules
    - change dh_clean -k to dh_prep
  * adapt build script to new build system of TeX Live
  * bump standards version to 3.8.4, no changes necessary

 -- Norbert Preining <preining@debian.org>  Mon, 12 Apr 2010 23:53:41 +0900

luatex (0.50.0-1) unstable; urgency=low

  * new upstream release
  * disable fix-hurd-ftbfs patch, included upstream
  * disable upstram-fixes, included upstream
  * disable ubuntu_libpoppler-0.11, not needed anymore

 -- Norbert Preining <preining@debian.org>  Fri, 25 Dec 2009 09:47:05 +0900

luatex (0.47.0-2) unstable; urgency=low

  * add patch fix-hurd-ftbfs from Pino Toscano (Closes: #562176)

 -- Norbert Preining <preining@debian.org>  Thu, 24 Dec 2009 03:32:02 +0900

luatex (0.47.0-1) unstable; urgency=low

  * new upstream release
  * add debian/patches/upstream-fixes that collects small bits fixed
    immediately after release
  * rediff patches

 -- Norbert Preining <preining@debian.org>  Tue, 22 Dec 2009 07:36:38 +0900

luatex (0.46.0-7) unstable; urgency=low

  * try to fix again the texdoc diversion disaster (Closes: #560791)

 -- Norbert Preining <preining@debian.org>  Sun, 13 Dec 2009 00:13:06 +0900

luatex (0.46.0-6) unstable; urgency=low

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Wed, 09 Dec 2009 23:52:34 +0900

luatex (0.46.0-5) experimental; urgency=low

  * remove forgotten "UNRELEASED" from changelog entry
  * move the diversion removal code from preinst to postinst since
    dpkg in lenny does add --rename automatically which breaks upgrades

 -- Norbert Preining <preining@debian.org>  Sat, 05 Dec 2009 09:15:48 +0900

luatex (0.46.0-4) experimental; urgency=low

  * make sure that fmtutil-sys is only called when texlive-base is
    installed, otherwise tcfmgr is not found.

 -- Norbert Preining <preining@debian.org>  Thu, 03 Dec 2009 23:10:44 +0900

luatex (0.46.0-3) experimental; urgency=low

  * add code to postinstall to clean up the diversion mess in case the
    upgrade didn't do it properly (Closes: #557647)

 -- Norbert Preining <preining@debian.org>  Thu, 03 Dec 2009 16:45:14 +0900

luatex (0.46.0-2) experimental; urgency=low

  * rework preinstall code for diversion removal, add --rename in 
    comments since it does not work anyway
  * bump build-deps on libpoppler-dev to 0.12 to be sure nobody tries
    to build new luatex on old systems (which is anyway not supported)
    (Closes: #559025)

 -- Norbert Preining <preining@debian.org>  Wed, 02 Dec 2009 00:17:08 +0900

luatex (0.46.0-1) experimental; urgency=low

  * remove the fix-opentype-loading patch (applied upstream)
  * add a preinst that removes all former diversions (Closes: #557647)

 -- Norbert Preining <preining@debian.org>  Fri, 27 Nov 2009 04:21:20 +0900

luatex (0.45.0-2) experimental; urgency=low

  * add a patch fix-opentype-loading by Pawl Jackowski to fix loading
    of ttf and otf fonts (included already in upstream repository)

 -- Norbert Preining <preining@debian.org>  Thu, 19 Nov 2009 15:42:55 +0900

luatex (0.45.0-1) experimental; urgency=low

  * new upstream release

 -- Norbert Preining <preining@debian.org>  Thu, 19 Nov 2009 00:21:03 +0900

luatex (0.44.0-2) experimental; urgency=low

  * catch fmtutil exiting with an error if no format based on luatex
    can be found. That is fine, one might install only luatex itself.

 -- Norbert Preining <preining@debian.org>  Thu, 12 Nov 2009 02:13:53 +0900

luatex (0.44.0-1) experimental; urgency=low

  * new upstream release
  * include patch to fix FTBFS with libpoppler 0.11 and 0.12, thanks to
    Ubuntu and Ilya Barygin. (Closes: #529331)
  * remove old directory in debian, it contains variants of the 
    maintainer scripts not used anymore
  * add a recommends luatex -> texlive-luatex to get the actual formats
  * delete debian/luatexiniconfig.tex, it must be shipped by texlive-luatex
    this package will provide only the barebone binary
  * as a consequence, drop (build-)dependency on tex-common, not needed
    anymore
  * drop dependency on texlive-binaries
  * mention these changes in the control file description
  * add a postinst script that tries to call fmtutil-sys --byengine luatex
    to update the formats based on luatex
  * conflict with texlive-base bin << 2008 to make sure we have a fmtutil
    that understands --byengine

 -- Norbert Preining <preining@debian.org>  Tue, 27 Oct 2009 21:05:00 +0900

luatex (0.43.0-1) experimental; urgency=low

  [ Norbert Preining ]
  * new upstream releases
  * bump standards version to 3.8.3, no changes necessary
  * prepare for TL2009:
    - disable texdoc, will be used from TeX Live 2009
    - remove all ini files and format definitions
    - add luatexiniconfig.tex from TL2009

