## luatex 0.60.2

=== debian/changelog ===
luatex (0.60.2-1) unstable; urgency=low

  * new upstream release
  * add patch relax-zlib-version-check to relax the luazlib version 
    check (Closes: #581818)
  * debian/control: bump standards version to 3.9.0, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 01 Jul 2010 18:28:53 +0900
