=== debian/rules ===
#!/usr/bin/make -f

#
# just to remember how to do it by hand
#export QUILT_PATCHES=./debian/patches

#export DH_VERBOSE=1
export DH_OPTIONS

CFLAGS := -g -Wall
ifneq "$(findstring noopt,$(DEB_BUILD_OPTIONS))" ""
CFLAGS += -O0
else
CFLAGS += -O2
endif

luatex := $(CURDIR)/debian/luatex

build: build-stamp
build-stamp:
	dh_testdir
	export CONFIG_SHELL=/bin/bash && bash ./build.sh --nostrip
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf build linux
	dh_clean install-stamp build-stamp

install: install-stamp

install-stamp: DH_OPTIONS=
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs usr/bin
	install -m 0577 build/texk/web2c/luatex $(luatex)/usr/bin
	dh_installman debian/luatex.1
	dh_link usr/bin/luatex usr/bin/texlua	\
		usr/share/man/man1/luatex.1 usr/share/man/man1/texlua.1  \
		usr/bin/luatex usr/bin/texluac	\
		usr/share/man/man1/luatex.1 usr/share/man/man1/texluac.1 \
		usr/share/doc/luatex/luatexref-t.pdf usr/share/doc/texmf/luatex/base/luatexref-t.pdf
	touch install-stamp

binary-indep:
# There aren't any architecture independent packages here.

binary-arch: DH_OPTIONS=-a
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs README 					\
		manual/luatexref-t.pdf 				\
		debian/ANNOUNCE-*
	dh_installexamples debian/examples/*
	dh_installchangelogs
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	dh_strip
endif
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
