## luatex 0.65.0

=== manual/Makefile ===
# $Id: Makefile 3877 2010-09-12 08:07:20Z hhenkel $

all:	luatexref-t.pdf functionref.pdf

functionref.pdf:	functionref.tex fdata.lua

%.pdf:	%.tex
	context $<

clean:
	- rm -f *.log
	- rm -f *.tuc
