=== debian/changelog ===
luatex (0.65.0-1ubuntu3) natty; urgency=low

  * Rebuild against libpoppler13.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 10 Apr 2011 21:08:04 +0200

luatex (0.65.0-1ubuntu2) natty; urgency=low

  * Rebuild with the current poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 26 Jan 2011 15:03:36 +0100

luatex (0.65.0-1ubuntu1) natty; urgency=low

  * debian/patches/no_static_link.patch: Drop --enable-runtime-cxx-hack
    from the default configuration, was causing armel FTBFS.

 -- Jani Monoses <jani@ubuntu.com>  Tue, 21 Dec 2010 23:31:36 +0200

luatex (0.65.0-1) experimental; urgency=low

  * new upstream release
  * ship two source packages as they are distributed by upstream, only
    renamed to match source package requirements. Fix debian/rules
    to install the manual pdf from the right place

 -- Norbert Preining <preining@debian.org>  Mon, 13 Dec 2010 23:22:59 +0900

luatex (0.64.0-1) experimental; urgency=low

  * uploading to experimental to keep unstable for squeeze fixes
  * new upstream releases
  * debian/control: bump standards version to 3.9.1, no changes necessary
  * rediff build.sh patch

 -- Norbert Preining <preining@debian.org>  Sat, 13 Nov 2010 21:38:56 +0900
