=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: luatex
 Section: tex
 Priority: optional
-Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Frank Küster <frank@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 7), flex, bison, zlib1g-dev, libpng12-dev, libjpeg-dev, pkg-config, sharutils, libpoppler-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/luatex/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/luatex/trunk/
 Homepage: http://www.luatex.org
