=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs README 					\
-		manual/luatexref-t.pdf 				\
+		doc/manual/luatexref-t.pdf 				\
 		debian/ANNOUNCE-*
 	dh_installexamples debian/examples/*
 	dh_installchangelogs
