## luatex 0.70.1

=== debian/changelog ===
luatex (0.70.1-1ubuntu1) precise; urgency=low

  * Rebuild against libpoppler19.
  * d/patches/poppler-0.18.patch: port to poppler 0.18 API, patch
    taken from Gentoo.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Dec 2011 12:28:25 +0000

luatex (0.70.1-1) unstable; urgency=low

  * new upstream release (probably) matching TeX Live 2011
  * deactivate fix-luatex-build-with-old-libpng patch, included upstream

 -- Norbert Preining <preining@debian.org>  Fri, 20 May 2011 09:40:39 +0900

luatex (0.70.0-2) unstable; urgency=low

  * re-enable dynamic linking for libpng, thanks to Peter Breitenlohner
    for fixing compilation with older libpng
    add libpng12-dev to the build-deps
    deactivate the static linking of libpng in the build script configure call

 -- Norbert Preining <preining@debian.org>  Sun, 15 May 2011 16:02:56 +0900

luatex (0.70.0-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Added no_static_link.patch to fix FTBFS on armel with gcc4.5
    (Closes: #607987)

  [ Norbert Preining ]
  * new upstream release
    - has a bug fix for FTBFS on hurd (Closes: #608401)
  * refresh patches
  * reenable compiling with shipped libpng (patch reenable_local_libpng), 
    as the one in Debian is far too old.
    remove the libpng12-dev build-dep
  * bump standards version to 3.9.2, no changes necessary

 -- Norbert Preining <preining@debian.org>  Wed, 11 May 2011 14:17:30 +0900
