=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Frank Küster <frank@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 7), flex, bison, zlib1g-dev, libpng12-dev, libjpeg-dev, pkg-config, sharutils, libpoppler-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/luatex/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/luatex/trunk/
 Homepage: http://www.luatex.org
