=== debian/changelog ===
luatex (0.70.1.20120524-3) unstable; urgency=low

  * pick from upstream luatex-svn: fix rendering of radicals with
    old fonts (Closes: #680015)
  * remove old conffile /etc/texmf/fmt.d/20luatex.cnf
    (add Pre-Depends: ${misc:Pre-Depends} for dpkg-maintscript-helper)
  * fix man page warnings

 -- Norbert Preining <preining@debian.org>  Tue, 03 Jul 2012 09:11:08 +0900

luatex (0.70.1.20120524-2) unstable; urgency=high

  * depend on tex-common >= 3.12 to get partial single package upgrades
    across distributions working (why would one do that, though?)
    (Closes: #677367) (urgency high due to RC)

 -- Norbert Preining <preining@debian.org>  Thu, 14 Jun 2012 07:43:20 +0900

luatex (0.70.1.20120524-1) unstable; urgency=low

  * new upstream release, actually 0.70.2, build from the
    TeX Live 2012 sources (20120524 checkout) until a real release
    of luatex 0.70.2 is done.
  * don't ship libpng sources (Closes: #615809)
  * build with shared libkpathsea, add build-depends

 -- Norbert Preining <preining@debian.org>  Thu, 24 May 2012 08:14:48 +0900

luatex (0.70.1-3) unstable; urgency=low

  [ Hilmar Preuße ]
  * do not build shipped versions of zlib, poppler and libpng. We
    use these from the system anyway (not_build_libs.diff).
  * patch for #651169 was incomplete, fixed (Closes: #651169)
    - needs a B-D on libpoppler-cpp-dev

 -- Norbert Preining <preining@debian.org>  Fri, 30 Mar 2012 09:25:18 +0900

luatex (0.70.1-2) unstable; urgency=low

  [ Hilmar Preuße ]
  * add patch libpoppler-0.18 to enable build with poppler 0.18
    (see rev 4346 in upstream), Closes: #651169
  * change B-D from libpoppler-dev to libpoppler-private-dev
    as requested by poppler maintainer. (Closes: #660104)
  * declare a B-D from libfontconfig1-dev, the new
    libpoppler-private-dev won't depend on it (Closes: #661077)
  * change B-D from libpng12-dev to libpng-dev to make
    libpng15-transition possible (Closes: #662423)

  [ Norbert Preining ]
  * bump standards version to 3.9.3, no changes necessary
  * add build-arch and build-indep targets to debian/rules

 -- Norbert Preining <preining@debian.org>  Wed, 21 Mar 2012 20:27:29 +0900
