=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: luatex
 Section: tex
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Frank Küster <frank@debian.org>, Norbert Preining <preining@debian.org>
-Build-Depends: debhelper (>= 7), flex, bison, zlib1g-dev, libpng12-dev, libjpeg-dev, pkg-config, sharutils, libpoppler-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.1.0~), flex, bison, zlib1g-dev, libpng-dev, libjpeg-dev, pkg-config, sharutils, libpoppler-private-dev, libpoppler-cpp-dev, libfontconfig1-dev, libkpathsea-dev (>= 2012)
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/luatex/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/luatex/trunk/
 Homepage: http://www.luatex.org
 
 Package: luatex
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: tex-common (>= 3.12), ${misc:Depends}, ${shlibs:Depends}
 Recommends: texlive-luatex
 Replaces: luatex-snapshot
 Conflicts: luatex-snapshot, texlive-base-bin (<< 2008)
