=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #!/usr/bin/make -f
-
-#
-# just to remember how to do it by hand
-#export QUILT_PATCHES=./debian/patches
 
 #export DH_VERBOSE=1
 export DH_OPTIONS
@@ -16,7 +12,10 @@
 
 luatex := $(CURDIR)/debian/luatex
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir
 	export CONFIG_SHELL=/bin/bash && bash ./build.sh --nostrip
@@ -36,7 +35,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs usr/bin
-	install -m 0577 build/texk/web2c/luatex $(luatex)/usr/bin
+	install -m 0577 build/texk/web2c/.libs/luatex $(luatex)/usr/bin
 	dh_installman debian/luatex.1
 	dh_link usr/bin/luatex usr/bin/texlua	\
 		usr/share/man/man1/luatex.1 usr/share/man/man1/texlua.1  \
@@ -53,10 +52,10 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs README 					\
-		doc/manual/luatexref-t.pdf 				\
+		manual/luatexref-t.pdf 				\
 		debian/ANNOUNCE-*
 	dh_installexamples debian/examples/*
-	dh_installchangelogs
+	dh_installchangelogs source/texk/web2c/luatexdir/ChangeLog
 ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
 	dh_strip
 endif
